com.pivotal.gemfirexd.internal.client.am

## Class CallableLocatorProcedures

- java.lang.Object
- - com.pivotal.gemfirexd.internal.client.am.CallableLocatorProcedures

    public class CallableLocatorProcedures
    extends Object

Contains the necessary methods to call the stored procedure that operate on LOBs identified by locators. An instance of this class will be initialized with a `Connection` parameter and all calls will be made on that connection.

The class makes sure that each procedure call is only prepared once per instance. Hence, it will keep references to `CallableStatement` objects for procedures that have been called through this instance. This makes it possible to prepare each procedure call only once per `Connection`.

Since LOBs can not be parameters to stored procedures, the framework should make sure that calls involving a byte[] or String that does not fit in a VARCHAR (FOR BIT DATA), are split into several calls each operating on a fragment of the LOB.

See Also:
  `for an example of how to use this class.`

### Field Summary

Fields
`String` `failedServer` Stores the last server that failed that lead to failover and causes the LOB methods to fail on the new server.

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### failedServer

    public volatile String failedServer

Stores the last server that failed that lead to failover and causes the LOB methods to fail on the new server.